
Nidec Techno Motor (Thailand) Co.,Ltd. - Problem-Bug #138

Parent project # 572 (Closed): [PJ230034]Handy terminal complete function modification

HTA_NSET completion fix bug.

21 Oct 2023 13:41 - Soraya Norasing

Status: Closed Start date: 21 Oct 2023

Priority: Normal Due date: 21 Oct 2023

Assignee: Soraya Norasing % Done: 100%

Category:  Estimated time: 8.00 hours

Target version:  Spent time: 8.00 hours

Finish date: 21 Oct 2023 DB skills:  

Programming skills:  OS skills:  

Description

List of bugs as reported by the customer in the attached file.

History

#1 - 21 Oct 2023 13:41 - Soraya Norasing

- Status changed from New to In Progress

#2 - 21 Oct 2023 17:46 - Soraya Norasing

- Status changed from In Progress to Confirmation request

- % Done changed from 0 to 100

- Finish date set to 21 Oct 2023

“Problem”

1.)The slip can be printed even if the qty is incomplete. Normally it must be unprintable.

2.)Adjust screen layout

3.)Outstanding usage calculation is incorrect.

4.)The Component Detial screen shows no information. But there is a message saying "Component details downloaded"

“Cause”

1.)The command does not exit the print slip loop.

2.)The size is not correct.

3.)Wrong calculation method

4.)The data query is in the wrong table.

“Solution”

1.)Separate checking of conditions When the system alert required qty. Exit the print function.

2.)Adjust the screen size to fit.

3.)Request a new calculation formula from the customer and edit the calculation code

4.)Define the correct table query. Use the table from the PM table.

#3 - 24 Oct 2023 18:59 - Kittisak Isarapongporn

- Status changed from Confirmation request to Close request

#4 - 25 Oct 2023 18:45 - Ryo Nozaki

- Status changed from Close request to In Progress

please add soruce code file

#5 - 26 Oct 2023 17:57 - Soraya Norasing

- Status changed from In Progress to Confirmation request

#6 - 27 Oct 2023 17:39 - Kittisak Isarapongporn

- Status changed from Confirmation request to Close request

#7 - 30 Oct 2023 05:45 - Ryo Nozaki
- Status changed from Close request to In Progress

please add source code file

#8 - 05 Nov 2023 17:03 - Soraya Norasing

- File HTA_NSET.zip added

- Status changed from In Progress to Confirmation request

#9 - 05 Nov 2023 21:43 - Kittisak Isarapongporn

- Status changed from Confirmation request to Close request

#10 - 05 Nov 2023 22:12 - Ryo Nozaki

- Status changed from Close request to Closed

#11 - 04 May 2024 16:59 - Ryo Nozaki

- Project changed from 18 to Nidec Techno Motor (Thailand) Co.,Ltd.

- Parent task set to #572

Files

Result_interlock_completion_20231018.xlsx 841 KB 21 Oct 2023 Soraya Norasing

HTA_NSET.zip 17.4 MB 05 Nov 2023 Soraya Norasing
